FROM ruby:3.2.2-slim

# Dependências do sistema
RUN apt-get update -qq && apt-get install -y \
  build-essential \
  libpq-dev \
  nodejs \
  npm \
  curl \
  git \
  libvips \
  && rm -rf /var/lib/apt/lists/*

# Diretório da app
WORKDIR /app

# Instala gems
COPY Gemfile Gemfile.lock* ./
RUN bundle install --jobs 4 --retry 3

# Copia o restante do código
COPY . .

# Pré-compila assets (em produção)
# RUN bundle exec rails assets:precompile

EXPOSE 3000

CMD ["bundle", "exec", "rails", "server", "-b", "0.0.0.0"]
